<%@ page language="C#" validaterequest="false" autoeventwireup="true" inherits="common_operate, localhost_deploy" %>
<% switch(i_sel)
{
	case 3://菜单
	{
		%>
		function mmLoadMenus() 
		{
			if (window.mm_menu_0103171238_0) return;
			<%=ShowMenu()%>
		}
		<%
		break;
	}
	case 6: //内容页排序
	{
		%>
		$('divprenext').innerHTML="<%=GetPreNext(Para("id"),Para("cid"),Para("ord"))%>";
		<%
		break;
	}
	case 7: //生成动态脚本
	{
    PlaceHolder.Controls.Add(LoadControl("./template/js/"+Para("fn")));
		%>
		<asp:placeholder id="PlaceHolder" runat="server"></asp:placeholder>
		<%
		break;
	}
	case 8://动态上下页面
	{
		
		string [] s_con=GetPreviousNext().Split(',');
		string s_pre=ds.GetDataString("select c_url from user_content where c_id=0"+s_con[0],"@c_url@");
		if(s_pre=="")
		{
			s_pre="#";
		}
		
	  string s_next=ds.GetDataString("select c_url from user_content where c_id=0"+s_con[3],"@c_url@");
		if(s_next=="")
		{
			s_next="#";
		}
				
		%>
		<script language="javascript">
		parent.AddPreviousNext("<%=s_pre+","+s_con[1]+","+s_con[2]+","+s_next%>");
		</script>
		<%	
		break;
	}
	case 9://文章动态上下页面
	{
		
		string [] s_con=GetPreviousNext().Split(',');
		string s_pre=ds.GetDataString("select c_url,c_title from user_content where c_id=0"+s_con[0],"<span id='spnpre'>"+lang["上一篇"]+"<a target='_self' href='@c_url@'>@c_title@</a></span>");
		if(s_pre=="")
		{
			s_pre="#";
		}
		
	  string s_next=ds.GetDataString("select c_url from user_content where c_id=0"+s_con[3],"<span id='spnpre'>"+lang["下一篇"]+"<a target='_self' href='@c_url@'>@c_title@</a></span>");
		if(s_next=="")
		{
			s_next="#";
		}
				
		%>
		//<span id='spnpre'>上一篇：<a target='_self' href='/post/25.html'>推荐：长尾理论</a></span>&nbsp; &nbsp; &nbsp;<span id='spnnext'>下一篇：<a target='_self' href='/post/104.html'>比优化更重要的工作</a></span><
		$('divprenext').innerHTML="<%=s_pre%>&nbsp; &nbsp; &nbsp;<%=s_next%>";
		<%	
		break;
	}
	
	
	
	
	case 30://上载文件
	{
	  string s_img="";
		WebCode.UploadFile uf = new WebCode.UploadFile();

		System.Collections.Generic.List<string> lst_img = uf.StartUploadFile();
		
        if ((lst_img.Count > 0))
        {
            s_img=lst_img[0];

        }
        else
            s_img="";
            
    
		%>
		<script type="text/javascript">
			window.parent.document.getElementById('img_src').value='/upload/bbs/2010/<%=s_img%>';
		</script>
		<%
		break;
	}
	
	case 50: //获得国内日期 外贸用户使用
	{
	%>
		$('spnchina').innerHTML="<%=ts.TranslateAll("@@Csharp.GetChinaTime()@@")%>";
	<%
		break;
	}
	case 404:
	{
		%>
		<!--#include file="./template/html/404.html" -->
		<%
		break;
	}	
	case 51:
	{
		%>
		<!--#include file="./template/html/top.html" -->
		<%
		break;
	}	
	case 52:
	{
		%>
		<!--#include file="./template/html/bottom.html" -->
		<%
		break;
	}	
	default://
	{
		Response.Write(" ");
		Response.End();
		break;
	}
	
	
}
%>